"""Data fixture for use in testing."""

sync_network_mock_data_valid = {
    "demo-cisco-1": {
        "serial": "9ABUXU581111",
        "interfaces": {
            "GigabitEthernet1": {
                "type": "100base-tx",
                "ip_addresses": [
                    {"ip_address": "10.1.1.10", "prefix_length": 16},
                ],
                "mac_address": "d8b1.905c.7130",
                "mtu": "1500",
                "description": "",
                "link_status": True,
                "802.1Q_mode": "tagged",
                "lag": "",
                "untagged_vlan": {"name": "vlan60", "id": "60"},
                "tagged_vlans": [{"name": "vlan40", "id": "40"}],
                "vrf": {"name": "vrf1"},
            },
            "GigabitEthernet2": {
                "type": "100base-tx",
                "ip_addresses": [
                    {"ip_address": "10.1.1.1", "prefix_length": 24},
                ],
                "mac_address": "d8b1.905c.7131",
                "mtu": "1500",
                "description": "uplink Po1",
                "link_status": True,
                "802.1Q_mode": "",
                "lag": "Po2",
                "untagged_vlan": {},
                "tagged_vlans": [],
                "vrf": {},
            },
            "GigabitEthernet3": {
                "type": "100base-tx",
                "ip_addresses": [
                    {"ip_address": "10.1.1.2", "prefix_length": 24},
                    {"ip_address": "10.1.1.3", "prefix_length": 22},
                ],
                "mac_address": "d8b1.905c.7132",
                "mtu": "1500",
                "description": "",
                "link_status": True,
                "802.1Q_mode": "tagged",
                "lag": "Po1",
                "untagged_vlan": {},
                "tagged_vlans": [{"name": "vlan40", "id": "40"}, {"name": "vlan50", "id": "50"}],
                "vrf": {"name": "mgmt"},
            },
            "GigabitEthernet4": {
                "type": "100base-tx",
                "ip_addresses": [
                    {"ip_address": "10.1.1.4", "prefix_length": 20},
                ],
                "mac_address": "d8b1.905c.7133",
                "mtu": "1500",
                "description": "",
                "link_status": True,
                "802.1Q_mode": "",
                "lag": "",
                "untagged_vlan": {},
                "tagged_vlans": [],
                "vrf": {},
            },
            "Po1": {
                "type": "lag",
                "ip_addresses": [],
                "mac_address": "d8b1.905c.7134",
                "mtu": "1500",
                "description": "",
                "link_status": True,
                "802.1Q_mode": "",
                "lag": "",
                "untagged_vlan": {},
                "tagged_vlans": [],
                "vrf": {"name": "mgmt"},
            },
            "Po2": {
                "type": "lag",
                "ip_addresses": [],
                "mac_address": "d8b1.905c.7135",
                "mtu": "1500",
                "description": "",
                "link_status": True,
                "802.1Q_mode": "",
                "lag": "",
                "untagged_vlan": "",
                "tagged_vlans": [],
                "vrf": {"name": "mgmt"},
            },
        },
        "cables": [
            {
                "remote_device": "demo-cisco-2",
                "local_interface": "GigabitEthernet1",
                "remote_interface": "GigabitEthernet1",
            },
            {
                "remote_device": "demo-cisco-3",
                "local_interface": "GigabitEthernet2",
                "remote_interface": "GigabitEthernet2",
            },
            {
                "remote_device": "demo-cisco-4",
                "local_interface": "GigabitEthernet3",
                "remote_interface": "GigabitEthernet3",
            },
        ],
    },
    "demo-cisco-2": {
        "serial": "9ABUXU5882222",
        "interfaces": {
            "GigabitEthernet1": {
                "type": "100base-tx",
                "ip_addresses": [
                    {"ip_address": "10.1.1.11", "prefix_length": 24},
                ],
                "mac_address": "d8b1.905c.5170",
                "mtu": "1500",
                "description": "",
                "link_status": True,
                "802.1Q_mode": "tagged",
                "lag": "",
                "untagged_vlan": {"name": "vlan60", "id": "60"},
                "tagged_vlans": [{"name": "vlan40", "id": "40"}],
                "vrf": {"name": "mgmt"},
            },
            "GigabitEthernet2": {
                "type": "100base-tx",
                "ip_addresses": [
                    {"ip_address": "10.1.1.12", "prefix_length": 24},
                ],
                "mac_address": "d8b1.905c.5171",
                "mtu": "1500",
                "description": "uplink Po1",
                "link_status": True,
                "802.1Q_mode": "",
                "lag": "Po1",
                "untagged_vlan": {},
                "tagged_vlans": [],
                "vrf": {},
            },
            "GigabitEthernet3": {
                "type": "100base-tx",
                "ip_addresses": [
                    {"ip_address": "10.1.1.13", "prefix_length": 24},
                    {"ip_address": "10.1.1.14", "prefix_length": 22},
                ],
                "mac_address": "d8b1.905c.5172",
                "mtu": "1500",
                "description": "",
                "link_status": True,
                "802.1Q_mode": "tagged",
                "lag": "Po1",
                "untagged_vlan": {},
                "tagged_vlans": [{"name": "vlan40", "id": "40"}, {"name": "vlan50", "id": "50"}],
                "vrf": {"name": "mgmt"},
            },
            "Po1": {
                "type": "lag",
                "ip_addresses": [],
                "mac_address": "d8b1.905c.5173",
                "mtu": "1500",
                "description": "",
                "link_status": True,
                "802.1Q_mode": "",
                "lag": "",
                "untagged_vlan": {},
                "tagged_vlans": [],
                "vrf": {"name": "mgmt"},
            },
        },
        "cables": [
            {
                "remote_device": "demo-cisco-1",
                "local_interface": "GigabitEthernet1",
                "remote_interface": "GigabitEthernet1",
            },
            {
                "remote_device": "demo-cisco-3",
                "local_interface": "GigabitEthernet2",
                "remote_interface": "GigabitEthernet2",
            },
            {
                "remote_device": "demo-cisco-4",
                "local_interface": "GigabitEthernet3",
                "remote_interface": "GigabitEthernet3",
            },
        ],
    },
}
failed_device = {"demo-cisco-3": {"failed": True, "failed_reason": "Authentication failure"}}
